--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

set verify off

WHENEVER OSERROR EXIT
WHENEVER SQLERROR EXIT

DEFINE ORACLE_HOME='&1'
DEFINE ORACLE_SID='&2'
DEFINE CD='&3'
DEFINE sysPassword='&4'
DEFINE ORACLE_BASE='&5'
DEFINE DBA_USER='&6'
DEFINE DBA_PASSWORD='&7'
DEFINE NF_SCHEMA='&8'
DEFINE STAR_SCHEMA='&9'
DEFINE REP_USER='&10'
DEFINE ORA_CMD='&11'
DEFINE REP_PASSWD='&12'
DEFINE DATA_HOME='&13'
DEFINE RIBA_SCHEMA='&14'
DEFINE RIASSET='&15'
DEFINE RISCHK='&16'
DEFINE CONNSTR='&17'

set echo &&ORA_CMD

--spool &&CD/logs/buildDW.log
spool '&&CD/logs/tbspace.log'
@'&&CD/work_spc/ddl/tbspace.sql'
spool off
spool '&&CD/logs/createUsers.log'
@'&&CD/work_spc/ddl/createUsers.sql'
spool off

connect &&DBA_USER/"&&DBA_PASSWORD"&&CONNSTR

spool '&&CD/logs/createSTGCFG.log'
@'&&CD/work_spc/ddl/createSTGCFG.ddl'
spool off
spool '&&CD/logs/createNF.log'
@'&&CD/work_spc/ddl/createNF.ddl'
spool off
spool '&&CD/logs/createRIASSET.log'
@'&&CD/work_spc/ddl/createRIASSET.ddl'
spool off
spool '&&CD/logs/createRISCHK.log'
@'&&CD/work_spc/ddl/createRISCHK.ddl'
spool off
spool '&&CD/logs/createSTAR.log'
@'&&CD/work_spc/ddl/createSTAR.ddl'
spool off
spool '&&CD/logs/createRIBA.log'
@'&&CD/work_spc/ddl/createRIBA.ddl'
spool off
spool '&&CD/logs/createSTARViews.log'
@'&&CD/work_spc/ddl/createSTARViews.ddl'
spool off
spool '&&CD/logs/star_grants.log'
@'&&CD/work_spc/scripts/star_grants.sql'
spool off
--spool off
COMMIT;
EXIT;

